<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <meta name="viewport" content="width = device-width, initial-scale = 1">
        <link rel="shortcut icon" href="#" />
        <link rel="stylesheet" href="{{ static_url("bootstrap-4.3.1-dist/css/bootstrap.min.css") }}">
        <!--<link href="https://fonts.googleapis.com/css?family=Lato:100,300,300i,400" rel="stylesheet"> -->
        <link href="{{ static_url("ionicons-2.0.1/css/ionicons.min.css") }}" rel="stylesheet">
        <link rel="stylesheet" type="text/css" href="{{ static_url("css/style.css") }}">
        <title>PYNQ-Z1 Interface</title>
    </head>

    <body>
        <header>
        <!-- NAVIGATION BAR -->
            <nav class="navbar navbar-expand-sm navbar-dark bg-transparent mb-5">
                <div class="container">
                    <a class="navbar-brand" href="https://laf.mv.uni-kl.de/home/">
                        <img src="{{ static_url("img/tukl_logo.png") }}" width=85% height=85% class="img-responsive" alt="tuk-logo">
                    </a>
                </div> <!-- class="container" -->
            </nav>
        </header>
        
        <div class="container">
            <!-- CONFIGURATION PARAMETERS -->
            <form name="pynq-config" id="pynq-config" action="" class="needs-validation" novalidate>
                <div class="card bg-transparent text-white">
                    <div class="card-body my-card m-2">
                        <h3 class="card-title text-center">PMOD Config</h3>
                        
                        <!-- PMOD SELECTION -->
                        <div class="form-row">
                                <div class="form-check m-2">
                                    <input type="checkbox" value="off" id="enable-pmodA" class="form-check-input">
                                    <label for="enable-pmodA" class="form-check-label"><strong>Enable PMODA</strong></label>
                                </div> <!-- class="form-check" -->
                            
                                <div class="form-check m-2">
                                    <input type="checkbox" value="off" id="enable-pmodB" class="form-check-input">
                                    <label for="enable-pmodB" class="form-check-label"><strong>Enable PMODB</strong></label>
                                </div> <!-- class="form-check" -->
                        </div> <!-- class="form-row" -->
                    
                        <!-- BUTTONS -->
                        <div class="form-row">
                                <button type="submit" class="submit btn btn-block btn-light mt-2 mb-2"><strong>Initialize</strong></button>
                        </div> <!-- class="form-row" -->
                        
                        <!-- PROGRESS BAR SHOWN AFTER CONFIG IS DONE -->
                        <div class="form-row d-block config-done mt-2 mb-2 collapse" id="bar-display">
                                <medium class="text-white" id="waiting-on-pynq">PYNQ board init progress</medium>
                                <div class="progress" style="height:2rem;">
                                    <div id="bar" class="progress-bar bg-info progress-bar-striped progress-bar-animated text-white" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 0%;font-weight:bold!important;"><span id="current-progress"></span></div>
                            </div> <!-- class="progress" style="height:2rem;" -->
                        </div> <!-- class="form-row" -->
                    </div> <!-- class="card-body my-card m-2" -->
                </div> <!-- class="card bg-transparent text-white" -->
            </form>


            <!-- METRICS -->
            <div class="jumbotron jumbotron-fluid bg-transparent mt-0 pt-2">
                <h3 class="text-white text-center">METRICS</h3>
                <div class="row justify-content-center">
                    <div class="col-sm-3">
                        <button type="button" class="btn btn-block btn-success mt-2 mb-2 start-btn">Run</button>
                    </div>
                    <div class="col-sm-3">
                        <button type="button" class="btn btn-block btn-danger mt-2 mb-2 stop-btn">Stop</button>
                    </div>
                    <!-- Download button for Excel files -->
                    <div class="col-sm-3" style="display: none;">
                        <button type="button" class="btn btn-block btn-primary mt-2 mb-2 down-btn">Download Data</button>
                    </div>
            </div>
                </div>
                <div class="card bg-transparent text-white m-2">
                    <div class="card-body my-card">
                        <h4 class="card-title">PMODA ADC</h4>
                        <div class="row justify-content-center">
                            <div class="col-sm-6">
                                <div class="card bg-transparent text-white m-2">
                                    <div class="card-body my-card">
                                        <h4 class="card-title">
                                            <i class="icon ion-ios-analytics icon-big mr-2"></i>CH01
                                        </h4>
                                        <h4 id="ch01-Atxt" class="card-text text-right">[VOLTS]
                                            <span id="other">&#86;</span>
                                        </h4>
                                        <p class="card-text text-right">
                                            <small id="stamp-txtA01" class="text-white">Last updated [TIMESTAMP]</small>
                                        </p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="card bg-transparent text-white m-2 p-2">
                                    <div class="card-body my-card">
                                        <h4 class="card-title">
                                            <i class="icon ion-ios-speedometer icon-big mr-2"></i>CH02
                                        </h4>
                                        <h4 id="ch02-Atxt" class="card-text text-right">[VOLTS]
                                            <span id="other">&#86;</span>
                                        </h4>
                                        <p class="card-text text-right">
                                            <small id="stamp-txtA02" class="text-white">Last updated [TIMESTAMP]</small>
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div> <!-- <div class="row justify-content-center"> -->
                
                
                <div class="card bg-transparent text-white m-2">
                    <div class="card-body my-card">
                        <h4 class="card-title">PMODB ADC</h4>
                        <div class="row justify-content-center">
                            <div class="col-sm-6">
                                <div class="card bg-transparent text-white m-2">
                                    <div class="card-body my-card">
                                        <h4 class="card-title">
                                            <i class="icon ion-ios-analytics icon-big mr-2"></i>CH01</h4>
                                        <h4 id="ch01-Btxt" class="card-text text-right">[VOLTS]
                                            <span id="other">&#86;</span>
                                        </h4>
                                        <p class="card-text text-right">
                                            <small id="stamp-txtB01" class="text-white">Last updated [TIMESTAMP]</small>
                                        </p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="card bg-transparent text-white m-2 p-2">
                                    <div class="card-body my-card">
                                        <h4 class="card-title">
                                            <i class="icon ion-ios-speedometer icon-big mr-2"></i>CH02
                                        </h4>
                                        <h4 id="ch02-Btxt" class="card-text text-right">[VOLTS]
                                            <span id="other">&#86;</span>
                                        </h4>
                                        <p class="card-text text-right">
                                            <small id="stamp-txtB02" class="text-white">Last updated [TIMESTAMP]</small>
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div> <!-- <div class="row justify-content-center"> -->
            </div> <!-- JUMBO -->

            <h6 class="text-white d-inline">Server status:</h6>
            <h6 class="text-white d-inline" id="ws-status">Waiting...</h6>
         </div> <!-- class="container" -->     
        <!-- Scripts required for bootstrap and jquery along with our javascript for the client -->
        <script src="{{ static_url("js/jquery-3.4.1.slim.min.js") }}"></script>
        <script src="{{ static_url("js/popper.min.js") }}"></script>
        <script src="{{ static_url("bootstrap-4.3.1-dist/js/bootstrap.min.js") }}"></script>
        <script src="{{ static_url("js/FileSaver.js") }}"></script>
        <script src="{{ static_url("js/ws-client.js") }}"></script>
    </body>
</html>
